Package twisted :: Package internet :: Module tksupport

[show private | hide private]
[frames | no frames]

## Module twisted.internet.tksupport

This module integrates Tkinter with twisted.internet's mainloop.

API Stability: semi-stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

To use, do:

       | tksupport.install(rootWidget)

and then run your reactor as usual - do *not* call Tk's mainloop(), use Twisted's regular mechanism for running the event loop.

Likewise, to stop your program you will need to stop Twisted's event loop. For example, if you want closing your root widget to stop Twisted:

       | root.protocol('WM_DELETE_WINDOW', reactor.stop)

Function Summary
| ``install`(widget, ms, reactor)` Install a Tkinter.Tk() object into the reactor.
| `getPassword(prompt, confirm)`
| `installTkFunctions()`
| `_guiUpdate(reactor, widget, delay)`

Variable Summary
`FakeModule` | `Tkinter`
`FakeModule` | `tkMessageBox`
`FakeModule` | `tkSimpleDialog`

Function Details

### install(widget, ms=10, reactor=None)

Install a Tkinter.Tk() object into the reactor.

Variable Details

### Tkinter

  Type:
    `FakeModule`
  Value:

        <Fake Tkinter>

### tkMessageBox

  Type:
    `FakeModule`
  Value:

        <Fake tkMessageBox>

### tkSimpleDialog

  Type:
    `FakeModule`
  Value:

        <Fake tkSimpleDialog>

Generated by Epydoc 1.1 on Thu May 8 13:18:29 2003 | http://epydoc.sf.net